User Reference
==============

This is the User Reference for the OSMnx package. If you are looking for an introduction to OSMnx, read the :doc:`getting-started` guide.

This guide describes the usage of OSMnx's public API. Every function can be accessed via ``ox.module_name.function_name()`` and many can also be accessed directly via ``ox.function_name()`` as a shortcut.

osmnx.bearing module
--------------------

.. automodule:: osmnx.bearing
    :members:

osmnx.distance module
---------------------

.. automodule:: osmnx.distance
    :members:

osmnx.elevation module
----------------------

.. automodule:: osmnx.elevation
    :members:

osmnx.features module
---------------------

.. automodule:: osmnx.features
    :members:

osmnx.geocoder module
---------------------

.. automodule:: osmnx.geocoder
    :members:

osmnx.graph module
------------------

.. automodule:: osmnx.graph
    :members:

osmnx.io module
---------------

.. automodule:: osmnx.io
    :members:

osmnx.plot module
-----------------

.. automodule:: osmnx.plot
    :members:

osmnx.projection module
-----------------------

.. automodule:: osmnx.projection
    :members:

osmnx.routing module
-----------------------

.. automodule:: osmnx.routing
    :members:

osmnx.settings module
---------------------

.. automodule:: osmnx.settings
    :members:

osmnx.simplification module
---------------------------

.. automodule:: osmnx.simplification
    :members:

osmnx.speed module
------------------

.. automodule:: osmnx.speed
    :members:

osmnx.stats module
------------------

.. automodule:: osmnx.stats
    :members:

osmnx.truncate module
---------------------

.. automodule:: osmnx.truncate
    :members:

osmnx.utils module
------------------

.. automodule:: osmnx.utils
    :members:

osmnx.utils_geo module
----------------------

.. automodule:: osmnx.utils_geo
    :members:

osmnx.utils_graph module
------------------------

.. automodule:: osmnx.utils_graph
    :members:
